apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: [VOTE] Release apr-util 1.4.0
Date Wed, 07 Dec 2011 22:29:11 GMT
On 07.12.2011 18:10, Jeff Trawick wrote:
> On Mon, Dec 5, 2011 at 8:23 PM, Graham Leggett<minfrin@sharp.fm>  wrote:

> diff -ru apr-util-1.3.12/build/config.guess apr-util-1.4.0/build/config.guess

config.guess is not an autotool.

apr-util buildconf should copy the file in from the apr against which 
you run buildconf. The config.guess we have in apr is relatively up to 
date, so this looks like apr-util buildconf was run against an old apr.

I don't know the release rules, but I suggest to run it against 1.4.5 or 
1.4.x head.

> similar for config.sub

and same explanation.

Both files should be up to date, because they are critical in detecting 
new platforms. Often if they don't know a new major platform version, 
the detection falls back to the oldest known version.

> configure:
>
> --- apr-util-1.3.12/configure   2011-05-19 10:58:23.000000000 -0400
> +++ apr-util-1.4.0/configure    2011-12-05 20:13:29.000000000 -0500
> @@ -1,413 +1,81 @@
>   #! /bin/sh
>   # Guess values for system-dependent variables and create Makefiles.
> -# Generated by GNU Autoconf 2.64.
> -#
> -# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
> -# 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software
> -# Foundation, Inc.
> +# Generated by GNU Autoconf 2.59.
>   #
> +# Copyright (C) 2003 Free Software Foundation, Inc.
>   # This configure script is free software; the Free Software Foundation
>   # gives unlimited permission to copy, distribute and modify it.

Not sure about the relevance of the autotools version for apu.

> I haven't checked the history, but here's an unexpected type of change:
>
> diff -ru apr-util-1.3.12/dbd/NWGNUdbdmysql apr-util-1.4.0/dbd/NWGNUdbdmysql
> --- apr-util-1.3.12/dbd/NWGNUdbdmysql   2011-03-17 21:08:15.000000000 -0400
> +++ apr-util-1.4.0/dbd/NWGNUdbdmysql    2011-03-17 21:08:15.000000000 -0400
> @@ -30,9 +30,6 @@
>   MYSQL_IMP = libmysql.imp
>   MYSQL_LIB = libmysqlclient_r.lib libz.lib
>   MYSQL_NLM = libmysql
> -ifneq "$(wildcard $(MYSQL_INC)/mysql.h)" "$(MYSQL_INC)/mysql.h"
> -$(error MYSQLSDK does not point to a valid MySQL SDK)
> -endif
>
>   #
>   # These directories will be at the beginning of the include list, followed by

It seems r794347 wasn't ported to 1.4.x (and probably beyond).

> diff -ru apr-util-1.3.12/include/apr_memcache.h
> apr-util-1.4.0/include/apr_memcache.h
> --- apr-util-1.3.12/include/apr_memcache.h      2010-09-30
> 23:31:56.000000000 -0400
> +++ apr-util-1.4.0/include/apr_memcache.h       2010-09-30
> 22:59:49.000000000 -0400
> @@ -287,9 +287,6 @@
>    * @param data_size   length of data at baton
>    * @param timeout time in seconds for the data to live on the server
>    * @param flags any flags set by the client for this key
> - * @bug timeout is not implemented
> - * @bug timeouts for apr must be prototyped in apr_interval_time_t;
> - * this changes in 2.0
>    */
>   APU_DECLARE(apr_status_t) apr_memcache_set(apr_memcache_t *mc,
>                                              const char *key,

r1003375 missing

> diff -ru apr-util-1.3.12/xml/expat/configure.in
> apr-util-1.4.0/xml/expat/configure.in
> --- apr-util-1.3.12/xml/expat/configure.in      2010-09-29
> 10:00:14.000000000 -0400
> +++ apr-util-1.4.0/xml/expat/configure.in       2011-05-20
> 14:58:21.000000000 -0400
> @@ -38,7 +38,16 @@
>
>   AC_CONFIG_HEADER(expat_config.h)
>
> +dnl
> +dnl Include our own M4 macros along with those for libtool
> +dnl
>   sinclude(conftools/ac_c_bigendian_cross.m4)
> +sinclude(conftools/libtool.m4)
> +sinclude(conftools/ltsugar.m4)
> +sinclude(conftools/argz.m4)
> +sinclude(conftools/ltoptions.m4)
> +sinclude(conftools/ltversion.m4)
> +sinclude(conftools/lt~obsolete.m4)
>
>   AC_CANONICAL_SYSTEM

At least that was intentional: r1125505

> diff -ru apr-util-1.3.12/xml/expat/conftools/ltmain.sh
> apr-util-1.4.0/xml/expat/conftools/ltmain.sh
> --- apr-util-1.3.12/xml/expat/conftools/ltmain.sh       2009-02-28
> 07:48:16.000000000 -0500
> +++ apr-util-1.4.0/xml/expat/conftools/ltmain.sh        2009-11-23
> 09:55:11.000000000 -0500
> @@ -1,8 +1,8 @@
>   # ltmain.sh - Provide generalized library-building support services.
>   # NOTE: Changing this file will not affect anything until you rerun configure.
>   #
> -# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005, 2006,
> -# 2007, 2008  Free Software Foundation, Inc.
> +# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005
> +# Free Software Foundation, Inc.
>   # Originally by Gordon Matzigkeit<gord@gnu.ai.mit.edu>, 1996
>   #
>   # This program is free software; you can redistribute it and/or modify
> @@ -43,8 +43,8 @@

Older libtool, unknown consequences.

> diff -ru apr-util-1.3.12/xml/expat/Makefile.in
> apr-util-1.4.0/xml/expat/Makefile.in
> --- apr-util-1.3.12/xml/expat/Makefile.in       2010-10-09
> 06:52:31.000000000 -0400
> +++ apr-util-1.4.0/xml/expat/Makefile.in        2011-05-20
> 15:29:41.000000000 -0400
> @@ -77,7 +77,9 @@
>
>   extraclean: distclean
>          rm -f expat_config.h.in configure
> -       rm -f conftools/ltconfig conftools/ltmain.sh conftools/libtool.m4
> +       rm -f conftools/aclocal.m4 conftools/ltconfig conftools/ltmain.sh
> +       rm -f conftools/argz.m4 conftools/libtool.m4 conftools/ltoptions.m4
> +       rm -f conftools/ltsugar.m4 conftools/ltversion.m4
> conftools/lt~obsolete.m4

Again intentional: r1125520

Regards,

Rainer


Mime
View raw message